format = """\
[](fg:#141616)\
$username\
[](fg:#141616 bg:#181A1A)\
$directory\
[](fg:#181A1A bg:#1C1E1E)\
$git_branch\
$git_status\
[](fg:#1C1E1E bg:#202222)\
$all\
$cmd_duration\
$jobs\
$battery\
$time\
$character"""
# [](fg:#202222 bg:#202222)\

# Disable the blank line at the start of the prompt
add_newline = true

[line_break]
disabled = true

# You can also replace your username with a neat symbol like  to save some space
[username]
show_always = true
style_user = "fg:#B2BEBC bg:#141616"
style_root = "fg:#B2BEBC bg:#141616"
format = '[ ]($style)' # $user

[directory]
style = "fg:#607767 bg:#181A1A"
format = "[ $path ]($style)"
truncation_length = 3
truncation_symbol = "…/"

# Here is how you can shorten some long paths by text replacement
# similar to mapped_locations in Oh My Posh:
[directory.substitutions]
"~" = " ~"
"Documents" = " "
"Downloads" = " "
"Music" = "🎜 "
"Pictures" = " "
"Videos" = " "
# Keep in mind that the order matters. For example:
# "Important Documents" = "  "
# will not be replaced, because "Documents" was already substituted before.
# So either put "Important Documents" before "Documents" or use the substituted version:
# "Important  " = "  "

[git_branch]
symbol = ""
style = "fg:#a6e3a1 bg:#1C1E1E"
format = '[ $symbol $branch(:$remote_branch) ]($style)'

[git_status]
style = "fg:#a6e3a1 bg:#1C1E1E"
ahead = "⇡${count}"
diverged = "⇕⇡${ahead_count}⇣${behind_count}"
behind = "⇣${count}"
deleted = "x"
format = '[$all_status$ahead_behind ]($style)'


[aws]
symbol = " "
style = "fg:#cba6f7 bg:#202222"
format = '[ $symbol ($version )]($style)'

[conda]
symbol = ""
style = "fg:#cba6f7 bg:#202222"
format = '[ $symbol ($version )]($style)'

[dart]
symbol = ""
style = "fg:#cba6f7 bg:#202222"
format = '[ $symbol ($version )]($style)'

[c]
symbol = ""
style = "fg:#cba6f7 bg:#202222"
format = '[ $symbol ($version )]($style)'

[docker_context]
symbol = ""
style = "fg:#cba6f7 bg:#202222"
format = '[ $symbol $context]($style) $path '

[elixir]
symbol = ""
style = "fg:#cba6f7 bg:#202222"
format = '[ $symbol ($version )]($style)'

[elm]
symbol = ""
style = "fg:#cba6f7 bg:#202222"
format = '[ $symbol ($version )]($style)'

[golang]
symbol = "ﳑ"
style = "fg:#cba6f7 bg:#202222"
format = '[ $symbol ($version )]($style)'

[haskell]
symbol = "λ"
style = "fg:#cba6f7 bg:#202222"
format = '[ $symbol ($version )]($style)'

[java]
symbol = ""
style = "fg:#cba6f7 bg:#202222"
format = '[ $symbol ($version )]($style)'

[julia]
symbol = ""
style = "fg:#cba6f7 bg:#202222"
format = '[ $symbol ($version )]($style)'

[lua]
symbol = ""
style = "fg:#cba6f7 bg:#202222"
format = '[ $symbol ($version )]($style)'

[nim]
symbol = ""
style = "fg:#cba6f7 bg:#202222"
format = '[ $symbol ($version )]($style)'

[nix_shell]
symbol = ""
style = "fg:#cba6f7 bg:#202222"
format = '[ $symbol ($version )]($style)'

[nodejs]
symbol = ""
style = "fg:#cba6f7 bg:#202222"
format = '[ $symbol ($version )]($style)'

[perl]
symbol = ""
style = "fg:#cba6f7 bg:#202222"
format = '[ $symbol ($version )]($style)'

[php]
symbol = ""
style = "fg:#cba6f7 bg:#202222"
format = '[ $symbol ($version )]($style)'

[python]
symbol = ""
style = "fg:#cba6f7 bg:#202222"
format = '[ $symbol ($version )]($style)'

[ruby]
symbol = ""
style = "fg:#cba6f7 bg:#202222"
format = '[ $symbol ($version )]($style)'

[rust]
symbol = "🦀"
style = "fg:#cba6f7 bg:#202222"
format = '[ $symbol ($version )]($style)'

[swift]
symbol = "ﯣ"
style = "fg:#cba6f7 bg:#202222"
format = '[ $symbol ($version )]($style)'

[package]
symbol = ""
style = "fg:#cba6f7 bg:#202222"
format = "[ $symbol $version]($style)"
disabled = true


[cmd_duration]
min_time = 1
style = "fg:#f9e2af bg:#202222"
format = "[ $duration]($style)"
disabled = true

[jobs]
symbol = "華"
style = "fg:#f9e2af bg:#202222"
format = "[ $symbol]($style)"

[battery]
full_symbol = " "
charging_symbol = " "
discharging_symbol = " "
unknown_symbol = " "
empty_symbol = " "
format = "[ $symbol$percentage ]($style bg:#202222)"
disabled = true

[[battery.display]]
threshold = 15
style = "bold fg:#B2BEBC"

[[battery.display]]
threshold = 50
style = "fg:#f9e2af"

[[battery.display]]
threshold = 101
style = "bold #a6e3a1"

# Prompt: optional param 1
[time]
disabled = true
time_format = "%R"
style = "bg:#3b4363"
format = '[](fg:#202222 $style)[  $time ](fg:#94e2d5 $style)'

# Last param in the first line/row
# fg:#3b4363 if time enabled
[character]
success_symbol = "[ ](fg:#202222)"
error_symbol = "[ ](fg:#202222)"
